[PLUGIN] plxCaroufredsel : un diaporama où vous voulez

2»

Réponses

  • Bonsoir,
    Je trouvais ce plugin très sympa visuellement et souple d'utilisation, mais lorsque j'ai voulu le télécharger en cliquant sur le lien, la page est introuvable. Du coup j'ai aussi cherché sur github, en vain. Est-ce que l'un de vous pourrai remettre un lien valide ou m'indiquer où trouver une archive ? (à moins que je sois passé à côté ?)
    Merci pour votre aide !
  • Je viens de mettre les liens à jour. Mais attention, ce plugin n'est pas compatible avec pluxml 5.3.
    Si tu veux le mettre à jour, essaie de virer le mot ["instance"] ou dans tous les fichiers dans lesquels il pourrait se trouver.
  • Merci beaucoup !
    Je viens de télécharger et d'installer le plugin sur une 5.3 effectivement il ne fonctionne pas. J'ai cherché le mot "instance" ou 'instance' mais je n'ai trouvé aucune occurrence sur la totalité du répertoire du plugin...
    Je vais essayer de creuser un peu plus...
  • AirWAirW Member
    Bonsoir !

    Je viens d'installer ce super plugin mais j'ai une erreur d'affichage en tout bas de page :
    http://education-nouvelle-22.fr/index.php?article45/ou-vont-les-images

    Le code serait-il mal placé dans le footer ?... Ou autre chose ?

    Merci en tout cas !
  • bonjour

    quelques pistes, tu utilises pluXml 5.3.1 (**), qui semble incompatible (voir 3 message au-dessus).
    si je regarde ton balisage html (en inadéquation avec le doctype de ton thème xhtml strict vu le nombre d'erreurs), il semble bien que c'est l'appel du script dans footer.php qui pourrait poser problème, il manque le balisage <script type="text/javascript"></script>, genre:
    [== HTML ==]
    <script type="text/javascript">
    	var largeur = parseInt($("#size-001-0045").text());
    <snip>
    	pagination : "#diaporama-001-0045-pages"
    });
    </script>
    

    ça doit ressembler aux appels de piwik ou zoomBox par exemple.
    quel code utilises tu dans footer.php pour appeler ce plugin?

    (**): pourquoi laisser voir à tout le monde le fichier version?
    autrement dit pourquoi avoir enlevé l'interdiction dans htaccess?
  • AirWAirW Member
    Bonjour Kyodev et merci de me répondre.

    D'abord je ne suis qu'un bidouilleur du dimanche (et éventuellement du samedi !) et je procède juste par tâtonnements.
    tu utilises pluXml 5.3.1 (**), qui semble incompatible (voir 3 message au-dessus).
    Ben oui, je vois ça. Note que je n'ai pas trouvé ["instance"] ni . Peut-être ai-je mal cherché.
    il semble bien que c'est l'appel du script dans footer.php qui pourrait poser problème, il manque le balisage <script type="text/javascript"></script>,
    Ce code n'apparait pas en tant que tel.
    La ligne indiquée dans l'aide est la suivante :
    			<?php eval($plxShow->callHook('caroufredselFooter'));?>
    
    

    pourquoi laisser voir à tout le monde le fichier version?

    Ce n'est absolument pas volontaire. Qu'est-ce qui devrait y figurer ? (cf ma remarque préliminaire !)
  • @Kyodev,

    Ce fichier version est mal placé à la racine du site.
    Une place adéquate serait dans le dossier "core/lib"
    Avec un .htacces correct pour éviter aux méchants d'aller le renifler.

    AMHA, Bug à corriger
  • @airW
    eh bien quand tu auras fini de poser l'étagère et que tu t'ennuieras, tu pourras jeter un oeil sur le validateur ;)
    les grands principes, fermer les balises ouvertes. l'intérêt premier c'est de s'assurer qu'une balise ne vas pas interagir involontairement sur d'autres (en décalant la suite par ex.), et relire plus facilement le code source de ta page quand problème.
    le soir où tu auras du mal à t'endormir, tu pourrais voir à changer le doctype de strict en transitional, ce sera beaucoup tolérant sur certaines erreurs,

    peut-etre essayer dans un premier temps de corriger footer.php selon ce principe:
    [== PHP ==]
    <div id="footer">
    	<script type="text/javascript"><?php eval($plxShow->callHook('caroufredselFooter'));?></script>
    ...
    </div>
    
    ajouter donc le balisage <script type="text/javascript"></script>, le code javascript pourra alors être exécuté et ne sera plus visible dans la page.
    après je sais pas si ça marchera (compatibilité)

    @bazooka07
    naturellement, il est protégé, avec apache. dans mon install tout fraiche, j'ai ça dans .htaccess:
    [== TEXT ==]
    # BEGIN -- Pluxml
    ...
    <Files "version">
    	Order allow,deny
    	Deny from all
    </Files>
    # END -- Pluxml
    

    @airW, c'est un détail, mais tu peux essayer de rajouter ces lignes dans .htaccess dans la racine de pluXml.
    au moindre problème (error 500 sur ton site), c'est que ton hébergement ne supporte pas htacccess, ou que ton serveur n'est pas apache.
    dans ce cas il te suffira d'enlever
  • AirWAirW Member
    avril 2014 modifié
    @Kyodev et bazooka07

    Merci de vos conseils.
    1. la correction du footer a bien fonctionné : le code en bas de page a bien disparu. (Je ne pense pas qu'il y ait eu de problème de balises). Je ne suis pas certain que toutes les fonctionnalités soient effectives mais le résultat est propre pour le visiteur. Remarque : Le code présent avant la modification était celui donné dans l'aide du plugin.
    2. J'ai modifié le .htaccess. Je ne sais pas comment vérifier si c'est correct maintenant.
    3. J'ai réussi à tondre la pelouse hier mais il faudra le refaire rapidement. J'irais bien plus loin dans mon autoformation mais je n'en ai malheureusement pas le temps !

    PS Le forum est encore à l'heure d'hiver !
  • bazooka07bazooka07 Member
    avril 2014 modifié
    Bonjour

    Dans ton navigateur, tu tapes http://education-nouvelle-22.fr/version
    Et tu regardes ce qui s'affiche
    Je vois que tu es chez LWs.
    Si tu utilises la fonction mail ou le plugin myContact, la copie carbone pour les mails ne marche pas et il n'y a pas de message d'erreur..
    J'ai une version adaptée du plugin en cas de besoin.
    Il faut faire une boucle pour chaque destinataire

    @Kyodev,
    Moi aussi, j'ai cela dans mon .htaccess mais ce n'est pas moi qui l'ai mis :(
    Je préfère la 404 :D
  • AirW a écrit:
    Je ne suis pas certain que toutes les fonctionnalités soient effectives mais le résultat est propre pour le visiteur. Remarque : Le code présent avant la modification était celui donné dans l'aide du plugin.
    je ne connais pas ce plugin, mais ça a l'air de bien fonctionner.
    je confirme, c'est bien ce que j'ai vu aussi dans l'aide, il faudrait donc y rajouter le balisage <script ...
  • AirWAirW Member
    @Kyodev et bazooka07

    Merci encore à tous les deux, vous êtes au taquet !
  • AirWAirW Member
    Bonjour !

    Je profite d'un instant de liberté pour une retouche.
    Le carrousel apparaît dans des articles de 540px de large. Le cadre du carrousel est adapté mais les vignettes débordent. Comment faire ?
  • bg62bg62 Member
    lut;)
    l'adresse donnée en exemple dans le post original ' vous pouvez visiter ce site ' ... semble HS :)
    @+
  • Bonjour,
    AirW a écrit:

    Pour cet exemple, modifier la classe .carroussel
    [== CSS ==]
    .carroussel {
         padding: 10px;
    }
    

    et rajouter:
    [== CSS ==]
    .caroufredsel_wrapper { width: auto !important;}
    
    Ce n'est pas parfait mais la seule solution que j'ai trouvé rapidement
  • AirWAirW Member
    Merci ! Je vais tester et je redonnerai des nouvelles...
  • Il y a eu un problème général chez l'hébergeur. C'est corrigé.
  • AirWAirW Member
    août 2014 modifié
    chriss a écrit:
    Ce n'est pas parfait mais la seule solution que j'ai trouvé rapidement

    Si, si , c'est très bien !

    Merci Christian !
  • jol5926jol5926 Member
    Bonjour,
    je suis en pluxml 5.3.1.
    Est-ce que ce plugin est compatible avec les modifications citées dans ce forum ?
    Merci
    Jol
Connectez-vous ou Inscrivez-vous pour répondre.